Manual do PHP
Anterior |  | Próxima

# Apêndice G. Opções do script Configure

# Lista de opções principais do script configure

Abaixo está a lista parcial das opções do script configure usado pelo PHP quando compilando o mesmo em ambientes Unix-like. A maioria das opções de configuração está listada na página de referência da extensão e não aqui. Para uma lista atualizada e completa das opções do script configure, execute ./configure --help no diretórios dos fontes do PHP após executar autoconf (veja também o capítulo de Instalação). Você pode também se interessar em ler a documentação do GNU configure para obter informações em opções adicionais do configure tais como --prefix=PREFIX.

> Nota: Essa são usadas apenas em tempo de compilação. Se você quiser alterar a configuração do PHP em tempo de execução, por favor, veja o capítulo deConfiguração em tempo de execução.

- Miscelânea

- Comportamento do PHP

- Servidor

## Opções do Configure no PHP 4

> Nota: Essas opções são são usadas no PHP a partir do PHP 4.1.0. Algumas estão disponíveis em versões anteriores do PHP 4, algumas até no PHP 3, outras apenas no PHP 4.1.0. Se você quiser compilar uma versão anterior, algumas opções provavelmente não estarão disponíveis.

### Opções Mistas

--enable-debug

  Compila com símbolos para depuração.

--with-layout=TYPE

  Configura a disposição dos arquivos instalados. TYPE pode ser PHP (padrão) ou GNU.

--with-pear=DIR

  Instala o PEAR em DIR (padrão é PREFIX/lib/php).

--without-pear

  Não instala o PEAR.

--enable-sigchild

  Permite que o PHP tenha um tratador de SIGCHLD próprio.

--disable-rpath

  Desabilita passagem de caminhos adicionais aonde buscar por bibliotecas em tempo de execução.

--enable-libgcc

  Habilita montar explicitamente com a libgcc.

--enable-php-streams

  Inclue fluxos de dados (streams) experimentais do PHP. Não use a não ser que esteja testando o código!

--with-zlib-dir[=DIR]

  Define a localização do diretório onde a zlib está instalada.

--enable-trans-sid

  Habilitada propagação transparente do id da sessão. Apenas válido para PHP 4.1.2 ou anterior. Do PHP 4.2.0 em diante, a funcionalidade trans-sid sempre é compilada.

--with-tsrm-pthreads

  Use threads POSIX (padrão).

--enable-shared[=PKGS]

  Monta bibliotecas compartilhadas [padrão=yes].

--enable-static[=PKGS]

  Monta bibliotecas estáticas [padrão=yes].

--enable-fast-install[=PKGS]

  Optimiza para instalação rápida [padrão=yes].

--with-gnu-ld

  Presume que o compilador C usa o GNU ld [padrão=no].

--disable-libtool-lock

  Evita travamento (pode quebrar compilações rodando em paralelo).

--with-pic

  Tenta usar apenas objetos PIC/não-PIC [padrão=use both].

--enable-memory-limit

  Compila com suporte a limite de memória.

--disable-url-fopen-wrapper

  Desabilita o wrapper da função fopen que permite acessar arquivos via HTTP ou FTP.

--enable-versioning

  Exporta apenas os símbolos necessários. Veja o arquivo INSTALL para mais informações.

--with-imsp[=DIR]

  Inclue suporte a IMSp (DIR é o diretório de include do IMSp e o diretório de libimsp.a). Apenas para o PHP 3!

--with-mck[=DIR]

  Inclue suporte à Cybercash MCK. DIR é o diretório onde cybercash mck foi construído, padrão é /usr/src/mck-3.2.0.3-linux para ajuda, olhe em extra/cyberlib. Apenas para o PHP 3!

--with-mod-dav=DIR

  Inclue suporte à DAV através do mod_dav do Apache, DIR é o diretório da instalação do mod_dav (apenas a versão de módulo do Apache) Apenas para o PHP 3!

--enable-debugger

  Compila com funções de depuração remota. Apenas para o PHP 3!

--enable-versioning

  Tira proveiro de versioning and scoping providos pelo Solaris 2.x e pelo Linux. Apenas para o PHP 3!

### Opções do PHP

--enable-maintainer-mode

  Habilita criar regras e dependências que não são úteis (e algumas vezes confusas) para o instalador casual.

--with-config-file-path=PATH

  Edita o caminho no qual deve procurar pelo arquivo `php.ini`, padrão é PREFIX/lib.

--enable-safe-mode

  Habilita o modo seguro por padrão.

--with-exec-dir[=DIR]

  Apenas permite executáveis no DIR quando em modo seguro. Padrão é /usr/local/php/bin.

--enable-magic-quotes

  Habilita aspas mágicas por padrão.

--disable-short-tags

  Desabilita a forma comprimida de tag inicial <? por padrão.

### Opções SAPI

A lista a seguir contêm as SAPI&s (Server Application Programming Interface) para o PHP.

--with-aolserver=DIR

  Especifica o caminho para o AOLserver instalado.

--with-apxs[=FILE]

  Monta como módulo compartilhado do Apache. FILE é o caminho opcional para a ferramenta apxs do Apache; padrão é apxs. Assegure-se que você especificou a versão do apxs que está atualmente instalado no seu sistema e não a que está no diretório dos fontes do Apache.

--with-apache[=DIR]

  Monta como módulo estático do Apache. DIR é o diretório dos fontes do Apache, padrão é `/usr/local/apache`.

--with-mod_charset

  Habilita transferência de tabelas para mod_charset (Apache Russo).

--with-apxs2[=FILE]

  Monta como módulo compartilhado do Apache 2.0. FILE é o caminho opcional para a ferramenta apxs do Apache; padrão é apxs.

--with-caudium=DIR

  Build PHP as a Pike module for use with Caudium. DIR is the Caudium server dir, with the default value `/usr/local/caudium/server`.

--disable-cli

  Available with PHP 4.3.0. Disable building the CLI version of PHP (this forces --without-pear). More information is available in the section about Using PHP from the command line.

--enable-embed[=TYPE]

  Habilita montagem da biblioteca SAPI embutida. TYPE é ou shared ou static, que tem como padrão shared. Disponível com PHP 4.3.0.

--with-fhttpd[=DIR]

  Constrói o módulo fhttpd. DIR é o diretório dos fontes do fhttpd, padrão é `/usr/local/src/fhttpd`. Não mais disponível a partir do PHP 4.3.0.

--with-isapi=DIR

  Monta o PHP como um módulo ISAPI para uso com o Zeus.

--with-nsapi=DIR

  Especifica o caminho para o servidor web instalado Netscape/iPlanet/SunONE.

--with-phttpd=DIR

  Nenhuma informação ainda.

--with-pi3web=DIR

  Monta o PHP como módulo para usar com Pi3Web.

--with-roxen=DIR

  Monta PHP como um módulo Pike. DIR é o diretório básico do Roxen, normalmente `/usr/local/roxen/server`.

--enable-roxen-zts

  Monta o módulo Roxen usando Zend Thread Safety.

--with-servlet[=DIR]

  Inclue o suporte à servlet. DIR é o diretório base de instalação para a JSDK. Esse SAPI requer que a extensão java seja monta como uma dl compartilhada.

--with-thttpd=SRCDIR

  Monta o PHP como um módulo thttpd.

--with-tux=MODULEDIR

  Monta o PHP como um módulo TUX (apenas Linux).

--with-webjames=SRCDIR

  Monta o PHP como um módulo do WebJames (apenas para RISC OS)

--disable-cgi

  Desabilita montar a versão CGI do PHP. Disponível com PHP 4.3.0.

--enable-force-cgi-redirect

  Habilita a checagem de segurança nos redirecionamentos internos do servidor. Você deve usar isso se você estiver executando a versão CGI com o Apache.

--enable-discard-path

  Se essa opção estiver habilitada, o binário CGI do PHP pode ser colocado com segurança fora da árvore web e as pessoas não serão capaz de evitar a segurança do `.htaccess`.

--with-fastcgi

  Monta PHP como uma aplicação FastCGI. Não mais disponível a partir do PHP 4.3.0, ao invés, você deve usar --enable-fastcgi.

--enable-fastcgi

  Se essa opção estiver habilitada, o módulo CGI será montado com suporta para FastCGI também. Disponível desde o PHP 4.3.0.

--disable-path-info-check

  Se essa opção estiver desabilitada, caminhos como `/info.php/test?a=b` não funcionarão. Disponível desde o PHP 4.3.0. Para mais informações, leia o Manual do Apache.

Anterior | Principal | Próxima
Reporting Errors | Acima | Lista de diretivas principais do arquivo `php.ini`